Get a contact list
GET
/api/v2/flare/contact-lists/{id}
curl --request GET \ --url https://api.sipstack.com/api/v2/flare/contact-lists/example \ --header 'x-api-key: <x-api-key>'import requests
url = "https://api.sipstack.com/api/v2/flare/contact-lists/example"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.sipstack.com/api/v2/flare/contact-lists/example';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}import axios from 'axios';
const options = { method: 'GET', url: 'https://api.sipstack.com/api/v2/flare/contact-lists/example', headers: {'x-api-key': '<x-api-key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}Returns one contact list by id. Requires contacts:read. 404 when the list isn’t your organization’s.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”The list.
Media type application/json
object
success
boolean
data
A contact list / segment. The list endpoint adds a member_count.
object
id
string format: uuid
uuid
string format: uuid
name
string
description
string
color
string
is_active
boolean
contact_count
integer
member_count
Live membership count (list endpoint only).
integer
created_at
string format: date-time
updated_at
string format: date-time
key
additional properties
any
Examples
Example list
A single contact list
{ "success": true, "data": { "id": "9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d", "uuid": "9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d", "name": "VIP customers", "description": "High-value accounts for priority campaigns", "color": "#4F46E5", "is_active": true, "contact_count": 128, "member_count": 128, "created_at": "2026-01-10T11:00:00.000Z", "updated_at": "2026-01-15T09:30:00.000Z" }}Missing or invalid API key.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}List not found in your organization.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}